package com.unis.base.server.entity;

import java.util.Date;

import javax.persistence.Column;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;

public class TyShougouqiyebeianEVo {
    
	

    @ApiModelProperty(value = "企业名称", notes ="企业名称")
    @Column(name="qymc")
    private String qymc;

    @ApiModelProperty(value = "统一社会信用代码", notes ="统一社会信用代码")
    @Column(name="tyshxydm")
    private String tyshxydm;

    @ApiModelProperty(value = "地址", notes ="地址")
    @Column(name="xxdz")
    private String xxdz;

    @ApiModelProperty(value = "联系人", notes ="联系人")
    @Column(name="lxr")
    private String lxr;

    @ApiModelProperty(value = "电话", notes ="电话")
    @Column(name="dh")
    private String dh;

    @ApiModelProperty(value = "备案机关", notes ="备案机关")
    @Column(name="bajg")
    private String bajg;

    @ApiModelProperty(value = "备案日期", notes ="备案日期")
    @Column(name="barq")
    //@JsonFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8", shape = JsonFormat.Shape.STRING)
    private Date barq;

    @ApiModelProperty(value = "所在行政区域", notes ="所在行政区域")
    @Column(name="dictname")
	private String dictname;
	
	@ApiModelProperty(value = "状态", notes ="状态")
	@Column(name="sjztname")
	private String sjztname;

	public String getQymc() {
		return qymc;
	}

	public void setQymc(String qymc) {
		this.qymc = qymc;
	}

	public String getTyshxydm() {
		return tyshxydm;
	}

	public void setTyshxydm(String tyshxydm) {
		this.tyshxydm = tyshxydm;
	}

	

	public String getXxdz() {
		return xxdz;
	}

	public void setXxdz(String xxdz) {
		this.xxdz = xxdz;
	}

	public String getLxr() {
		return lxr;
	}

	public void setLxr(String lxr) {
		this.lxr = lxr;
	}

	public String getDh() {
		return dh;
	}

	public void setDh(String dh) {
		this.dh = dh;
	}

	public String getBajg() {
		return bajg;
	}

	public void setBajg(String bajg) {
		this.bajg = bajg;
	}

	public Date getBarq() {
		return barq;
	}

	public void setBarq(Date barq) {
		this.barq = barq;
	}

	public String getDictname() {
		return dictname;
	}

	public void setDictname(String dictname) {
		this.dictname = dictname;
	}

	public String getSjztname() {
		return sjztname;
	}

	public void setSjztname(String sjztname) {
		this.sjztname = sjztname;
	}

	
	
   
   

   
}